Jonathan.Michalon.eu

$HOME de Jonathan

23 déc. 2013

Upgrade d'Apache2 vers Debian Wheezy et FCGId

Hé bien j'ai pas beaucoup écrit les derniers temps… mais j'étais surtout bien occupé par mon stage, qui se poursuit en CDD…

Bref, là j'ai un peu de temps et je me suis motivé à mettre à jour mes conteneurs OpenVZ. Pour l'instant je mets à jour uniquement les conteneurs, et pas l'hôte car le kernel OpenVZ n'est plus disponible dans Wheezy.

J'ai à peu près fait les mises à jour sans problème à part Apache2 qui m'a bien embêté : il n'interprétait plus le PHP. Comme j'étais passé à FCGId il y a un moment, j'ai tout de suite soupçonné un soucis de ce côté. Mais dans l'absence totale de messages d'erreur j'ai fini par trouver en faisant une recherche sur un moteur quelconque qu'il suffisait de désactiver le module php5_cgi, dont la configuration par défaut avait trop changé et n'est plus compatible avec FCGId. Donc :

$ a2dismod php5_cgi

Bien sûr on ne peut pas simplement supprimer le paquet puisqu'il contient le wrapper nécessaire.

Blue Penguin Theme · Powered by Pelican · Atom Feed · Rss Feed

Copyright © 2011-2015 Jonathan Michalon. Vous pouvez réutiliser tout contenu diffusé, sauf mention spécifique.